package mitarbeiterDao;
import fachklassen.Mitarbeiter;

public class TestMitarbeiterDAO {
    public static void main(String[] args) {
        try {
            //    IMitarbeiterDAO mitarbeiterDAO = new MySqlMitarbeiterDAO();
            IMitarbeiterDAO mitarbeiterDAO = new XmlMitarbeiterDAO();
            Mitarbeiter lisa = mitarbeiterDAO.getMitarbeiter(2);
            lisa.setAlter(35);
            mitarbeiterDAO.changeMitarbeiter(lisa);
            System.out.println(mitarbeiterDAO.getMitarbeiter(2).toString());
            Mitarbeiter neuerMitarbeiter = new Mitarbeiter(5, "Max", "Male", 33, "Chef");
            mitarbeiterDAO.addMitarbeiter(neuerMitarbeiter);
            Mitarbeiter[] alleMitarbeiter = mitarbeiterDAO.getAllMitarbeiter();
            for (Mitarbeiter mitarbeiter : alleMitarbeiter) {
                System.out.println(mitarbeiter.toString());
            }
            mitarbeiterDAO.removeMitarbeiter(neuerMitarbeiter);
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }
}
