// http://www.javacodegeeks.com/2013/05/parsing-xml-using-dom-sax-and-stax-parser-in-java.html#dom
package stax;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import javax.xml.stream.XMLInputFactory;
import javax.xml.stream.XMLStreamConstants;
import javax.xml.stream.XMLStreamException;
import javax.xml.stream.XMLStreamReader;

public class PartyStaxParser {

    public static void main(String[] args) throws XMLStreamException, FileNotFoundException {
        String elementName;
        String content = null;
        XMLInputFactory xmlInputFactory = XMLInputFactory.newInstance();
      //  XMLStreamReader xmlStreamReader = xmlInputFactory.createXMLStreamReader(
      //          ClassLoader.getSystemResourceAsStream("xml/party.xml"));
        XMLStreamReader xmlStreamReader = xmlInputFactory.createXMLStreamReader(new FileInputStream("party.xml"));
        while (xmlStreamReader.hasNext()) {
            int event = xmlStreamReader.next();
            switch (event) {
                case XMLStreamConstants.START_ELEMENT:
                    elementName = xmlStreamReader.getLocalName();
                    if (elementName.equals("party")) {
                        // System.out.println(reader.getAttributeCount());
                        // System.out.println(reader.getAttributeName(0));
                        System.out.println("Datum der Party: " +xmlStreamReader.getAttributeValue(0));
                    } else if (elementName.equals("gast")) {
                        System.out.println("Neuer Gast: " + xmlStreamReader.getAttributeValue(0));
                    } else if (elementName.equals("zustand")) {
                        System.out.println("ist ledig: " + xmlStreamReader.getAttributeValue(0) + " und nuechtern: " + xmlStreamReader.getAttributeValue(1));
                    }
                    break;
                case XMLStreamConstants.CHARACTERS:
                    content = xmlStreamReader.getText().trim();
                    break;

                case XMLStreamConstants.END_ELEMENT:
                    elementName = xmlStreamReader.getLocalName();
                    if (elementName.equals("getraenk")) {
                        System.out.println("trinkt: " + content);
                    }
            }
        }
    }
}
