// erzeugt XPath ausdrückte für alle Elemente 
// allerdings nicht ganz richtig
package weitereBeispiele;

// StaxToXPathProperties.java

import java.util.*;
import javax.xml.stream.*;
import javax.xml.stream.events.*;
import javax.xml.transform.stream.StreamSource;

public class StaxToXPathProperties
{
   @SuppressWarnings("unchecked")
   public static void main( String[] args ) throws XMLStreamException
   {
      if( args.length != 1 ) {
         System.err.println( "Bitte XML-Datei angeben, beispielsweise:" );
         System.err.println( "  java StaxToXPathProperties MyXmlFile.xml" );
         return;
      }
      XMLInputFactory inputFactory = XMLInputFactory.newInstance();
      XMLEventReader  evRd = inputFactory.createXMLEventReader( new StreamSource( args[0] ) );
      Stack<String>   stck = new Stack<String>();
      while( evRd.hasNext() ) {
         XMLEvent ev = evRd.nextEvent();
         if( ev.isStartElement() ) {
            stck.push( ev.asStartElement().getName().getLocalPart() );
            Iterator<Attribute> iter = ev.asStartElement().getAttributes();
            while( iter.hasNext() ) {
               Attribute a = iter.next();
               System.out.println( buildXPathString(
                     stck, "/@" + a.getName().getLocalPart() + "=\"" + a.getValue() + "\"" ) );
            }
         }
         if( ev.isCharacters() ) {
            String s = ev.asCharacters().getData();
            if( s.trim().length() > 0 )
               System.out.println( buildXPathString( stck, "=\"" + s + "\"" ) );
         }
         if( ev.isEndElement() ) stck.pop();
      }
   }

   private static String buildXPathString( Stack<String> stck, String postfix )
   {
      StringBuffer sb = new StringBuffer();
      for( String s : stck ) sb.append( "/" ).append( s );
      sb.append( postfix );
      return sb.toString();
   }
}